// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/async/utils/async_close_util.c $
// $Rev: 49845 $
// $Date: 2022-01-04 16:26:50 -0600 (Tue, 04 Jan 2022) $

// SIO4: Asynchronous Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int async_close_util(int fd, int index, int verbose)
{
	int	errs;
	int	ret;

	if (verbose)
		gsc_label_index("Asynchronous Close", index);

	ret		= sio4_async_close(fd);
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
		;
	else if (errs)
		printf("FAIL <---  (ret = %d)\n", ret);
	else
		printf("PASS\n");

	return(errs);
}


