// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/async/utils/async_init_util.c $
// $Rev: 54269 $
// $Date: 2024-03-19 10:09:41 -0500 (Tue, 19 Mar 2024) $

// SIO4: Asynchronous Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int async_init_util(int verbose)
{
	int	errs;
	int	ret;

	if (verbose)
		gsc_label("Async API Initialize");

	ret		= sio4_async_init();
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
		;
	else if (errs)
		printf("FAIL <---  (ret = %d)\n", ret);
	else
		printf("PASS\n");

	return(errs);
}



