// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/async/utils/async_show_util.c $
// $Rev: 49738 $
// $Date: 2021-11-22 15:35:45 -0600 (Mon, 22 Nov 2021) $

// SIO4: Asynchronous Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int async_show_util(int fd, int index, int verbose, const sio4_async_t* async, FILE* file, const char** err)
{
	int			errs;
	const char*	psz;
	int			ret;

	if (err == NULL)
		err	= &psz;

	if (verbose)
	{
		gsc_label_index("Asynchronous Show", index);
		printf("...\n");
	}

	ret		= sio4_async_show(fd, async, file, err);
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
	{
	}
	else if (errs)
	{
		gsc_label_index("Asynchronous Show", index);
		printf("FAIL <---  (sio4_async_show, %s)\n", err[0]);
	}
	else
	{
		gsc_label_index("Asynchronous Show", index);
		printf("PASS\n");
	}

	return(errs);
}


