// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/fasync/samples/fasyncc2c/config.c $
// $Rev: 54330 $
// $Date: 2024-03-22 11:04:01 -0500 (Fri, 22 Mar 2024) $

// SIO4: Fast Async Protocol Library: Sample Application: source file

#include "main.h"



//*****************************************************************************
static void _connection_type(const args_t* args)
{
	int	rx_b	= args->rx_index / 4;
	int	rx_c	= args->rx_index % 4;
	int	tx_b	= args->tx_index / 4;
	int	tx_c	= args->tx_index % 4;

	gsc_label("Connection Type");

	if (args->tx_index == args->rx_index)
	{
		printf(	"%s Loopback (no cable)\n",
				(args->loopback == LB_EXT) ? "External" : "Internal");
	}
	else if (tx_b == rx_b)
	{
		printf(	"Channel-to-Channel Loopback Cable"
				" (B# %d, C#s %d+%d)\n",
				tx_b,
				tx_c,
				rx_c);
	}
	else
	{
		printf(	"Channel-to-Channel Passthrough Cable"
				" (B%d C%d, B%d C%d)\n",
				tx_b,
				tx_c,
				rx_b,
				rx_c);
	}
}



//*****************************************************************************
int config_test(const args_t* args)
{
	int	errs	= 0;

	_connection_type(args);
	return(errs);
}


