// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/hdlc/api/db_printf.c $
// $Rev: 53118 $
// $Date: 2023-06-16 15:00:50 -0500 (Fri, 16 Jun 2023) $

// SIO4: HDLC Protocol Library: source file

#include "main.h"



// variables ******************************************************************

static int	_enable	= 0;



//*****************************************************************************
int hdlc_db_printf(const char* format, ...)
{
	va_list args;			//lint -esym(530,args)
	int		qty		= 0;

	if (_enable)
	{
		printf("{HDLC API Library: ");
		va_start(args, format);
		qty	= vprintf(format, args);
		va_end(args);
		printf("}\n");
		fflush(stdout);
	}

	return(qty);
}



//*****************************************************************************
void hdlc_db_printf_enable(int enable)
{
	_enable	= enable ? 1 : 0;
}


