// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/hdlc/utils/hdlc_init_util.c $
// $Rev: 53122 $
// $Date: 2023-06-16 15:04:11 -0500 (Fri, 16 Jun 2023) $

// SIO4: HDLC Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int hdlc_init_util(int verbose)
{
	int	errs;
	int	ret;

	if (verbose)
		gsc_label("HDLC API Initialize");

	ret		= sio4_hdlc_init();
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
		;
	else if (errs)
		printf("FAIL <---  (ret = %d)\n", ret);
	else
		printf("PASS\n");

	return(errs);
}



