// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/include/sio4_async_utils.h $
// $Rev: 54277 $
// $Date: 2024-03-19 10:19:35 -0500 (Tue, 19 Mar 2024) $

// SIO4: Asynchronous Protocol Library: Utilities: header file

#ifndef	__SIO4_ASYNC_UTILS_H__
#define	__SIO4_ASYNC_UTILS_H__

#include "sio4_async.h"
#include "gsc_utils.h"



// prototypes *****************************************************************

// Asynchronous Protocol Library utility services

int	async_close_util	(int fd, int index, int verbose);
int	async_get_util		(int fd, int index, int verbose, sio4_async_t* async, const char** err);
int	async_init_data_util(int fd, int index, int verbose, const sio4_async_init_t* init, sio4_async_t* async, const char** err);
int	async_init_util		(int verbose);
int	async_ioctl_util	(int fd, int index, int verbose, int request, void* arg);
int	async_open_util		(int device, int share, int index, int verbose, int* fd);
int	async_read_util		(int fd, int index, int verbose, void* dst, size_t bytes, size_t* got);
int	async_set_util		(int fd, int index, int verbose, const sio4_async_t* async, const char** err);
int	async_show_util		(int fd, int index, int verbose, const sio4_async_t* async, FILE* file, const char** err);
int	async_write_util	(int fd, int index, int verbose, const void* src, size_t bytes, size_t* sent);



#endif
