// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/include/sio4_sync_utils.h $
// $Rev: 54277 $
// $Date: 2024-03-19 10:19:35 -0500 (Tue, 19 Mar 2024) $

// SIO4: SYNC Protocol Library: Utilities: header file

#ifndef	__SIO4_SYNC_UTILS_H__
#define	__SIO4_SYNC_UTILS_H__

#include "sio4_sync.h"
#include "gsc_utils.h"



// prototypes *****************************************************************

// SYNC Protocol Library utility services

int	sync_close_util	(int fd, int index, int verbose);
int	sync_get		(int fd, int index, int verbose, sio4_sync_t* sync);
int	sync_gpio_rx	(int fd, int index, int verbose, u32* value);
int	sync_gpio_tx	(int fd, int index, int verbose, u32 value);
int sync_init_util	(int verbose);
int	sync_ioctl_util	(int fd, int index, int verbose, int request, void* arg);
int	sync_open_util	(int device, int share, int index, int verbose, int* fd);
int	sync_read_util	(int fd, int index, int verbose, void* dst, size_t bytes, size_t* got);
int	sync_rx_get		(int fd, int index, int verbose, sio4_sync_rx_t* rx);
int	sync_rx_set		(int fd, int index, int verbose, const sio4_sync_rx_t* rx);
int	sync_set		(int fd, int index, int verbose, const sio4_sync_t* sync);
int	sync_tx_get		(int fd, int index, int verbose, sio4_sync_tx_t* tx);
int	sync_tx_set		(int fd, int index, int verbose, const sio4_sync_tx_t* tx);
int	sync_write_util	(int fd, int index, int verbose, const void* src, size_t bytes, size_t* sent);



#endif
