// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/isoc/utils/isoc_ioctl_util.c $
// $Rev: 53123 $
// $Date: 2023-06-16 15:04:47 -0500 (Fri, 16 Jun 2023) $

// SIO4: Isochronous Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int isoc_ioctl_util(int fd, int index, int verbose, int request, void* arg)
{
	int	errs;
	int	ret;

	if (verbose)
		gsc_label_index("Isochronous IOCTL", index);

	ret		= sio4_isoc_ioctl(fd, request, arg);
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
		;
	else if (errs)
		printf("FAIL <---  (#%d)\n", (int) OS_IOCTL_INDEX_DECODE(request));
	else
		printf("PASS  (#%d)\n", (int) OS_IOCTL_INDEX_DECODE(request));

	return(errs);
}


