// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/samples/irq/main_gsc.c $
// $Rev: 43027 $
// $Date: 2018-06-22 17:39:16 -0500 (Fri, 22 Jun 2018) $

// SIO4: Sample Application: source file

#include "main.h"




//*****************************************************************************
static int _irq_check_support(int fd)
{
	return(STATUS_SUPPORTED);
}



//*****************************************************************************
static int _irq_initiate(int fd)
{
	int		errs	= 0;
	long	i;

	// Generate a PCI interrupt: Tx FIFO Almost Empty
	errs	+= sio4_initialize		(fd, -1, 0, 1, NULL);
	errs	+= sio4_irq_gsc_enable	(fd, -1, 0, SIO4_IRQ_TX_FIFO_AE, NULL);

	for (i = 0; i <= 50; i++)
		errs	+= sio4_reg_write	(fd, -1, 0, SIO4_GSC_FDR, 0);

	errs	+= sio4_tx_fifo_reset	(fd, -1, 0, 1, NULL);
	return(errs);
}



//*****************************************************************************
int main_gsc_irq_test(int fd, int supported)
{
	int	ret;

	if (supported)
		ret	= _irq_check_support(fd);
	else
		ret	= _irq_initiate(fd);

	return(ret);
}


