// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/samples/services/main.h $
// $Rev: 53149 $
// $Date: 2023-06-16 15:22:58 -0500 (Fri, 16 Jun 2023) $

// SIO4: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <stdlib.h>
#include <time.h>

#include "sio4_main.h"
#include "file.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)			(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings

	const char*	argv0;
	s32			continuous;		// > 0 = ignore errors, < 0 = stop on errors
	s32			index;			// device index
	s32			minute_limit;	// for continuous testing
	int			qty;			// Number of devices detected.
	s32			supported;
	s32			test_limit;		// for continuous testing
	s32			unknown;
	s32			unsupported;
	s32			verbose;

	int	fd;				// File descriptor for device to access.

	// Device Settings

} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
