// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/sync/api/close.c $
// $Rev: 43626 $
// $Date: 2018-10-15 14:56:40 -0500 (Mon, 15 Oct 2018) $

// SIO4: SYNC Protocol Library: source file

#include "main.h"



/******************************************************************************
*
*	Function:	sio4_sync_close
*
*	Purpose:
*
*		Close a channel that has been opened to an SIO4 channel for SYNC use.
*
*	Arguments:
*
*		fd		The file descriptor for the SIO4 channel to close.
*
*	Returned:
*
*		0		All went well.
*		-errno	There was a problem.
*
******************************************************************************/

int sio4_sync_close(int fd)
{
	int	ret;

	if (sync_initialized == 0)
	{
		ret	= -EPROTO;
	}
	else
	{
		ret	= sio4_close(fd);
	}

	return(ret);
}



