// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/sync/utils/sync_gpio_tx.c $
// $Rev: 54266 $
// $Date: 2024-03-19 10:07:03 -0500 (Tue, 19 Mar 2024) $

// SIO4: SYNC Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int sync_gpio_tx(int fd, int index, int verbose, u32 value)
{
	int	errs;
	int	ret;

	if (verbose)
		gsc_label_index("SYNC GPIO Tx", index);

	ret		= sio4_sync_gpio_tx(fd, value);
	errs	= ret ? 1 : 0;

	if (verbose == 0)
		;
	else if (errs)
		printf("FAIL <---  (0x%lX)\n", (long) value);
	else
		printf("PASS  (0x%lX)\n", (long) value);

	return(errs);
}


