// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/async/utils/async_init_data_util.c $
// $Rev: 43629 $
// $Date: 2018-10-15 15:05:43 -0500 (Mon, 15 Oct 2018) $

// SIO4: Asynchronous Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int async_init_data_util(int fd, int index, int verbose, const sio4_async_init_t* init, sio4_async_t* async, const char** err)
{
	int			errs;
	const char*	psz;
	int			ret;

	if (err == NULL)
		err	= &psz;

	if (verbose)
		gsc_label_index("Asynchronous Init", index);

	ret		= sio4_async_init_data(fd, init, async, err);
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
	{
	}
	else if (errs)
	{
		printf("FAIL <---  (sio4_async_init_data, %s)\n", err[0]);
	}
	else if (err[0])
	{
		errs	= 1;
		printf("FAIL <---  (sio4_async_init_data, %s)\n", err[0]);
	}
	else
	{
		printf("PASS\n");
	}

	return(errs);
}


