// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/driver/mp.c $
// $Rev: 54312 $
// $Date: 2024-03-19 10:50:21 -0500 (Tue, 19 Mar 2024) $

// SIO4: Device Driver: source file

#include "main.h"



//*****************************************************************************
void mp_close(chan_data_t* chan)
{
	// There's nothing to do.
}



//*****************************************************************************
int mp_init(chan_data_t* chan)
{
	// There's nothing to do.
	return(0);
}



//*****************************************************************************
void mp_open(chan_data_t* chan)
{
	// There's nothing to do.
}



//*****************************************************************************
int mp_select_ioctl(chan_data_t* chan, s32* arg)
{
	int	ret;

	switch (chan->dev->cache.mp_chip)
	{
		default:					ret	= mp_unknown_select(chan, arg);	break;
		case SIO4_MP_CHIP_FIXED:	ret	= mp_fixed_select(chan, arg);	break;
		case SIO4_MP_CHIP_SP508:	ret	= mp_sp508_select(chan, arg);	break;
	}

	return(ret);
}


