// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/driver/osc_fixed.h $
// $Rev: 43589 $
// $Date: 2018-10-12 13:49:03 -0500 (Fri, 12 Oct 2018) $

// SIO4: Device Driver: header file

#ifndef	__OSC_FIXED_H__
#define	__OSC_FIXED_H__

#include "sio4.h"



// data types *****************************************************************

typedef struct
{
	os_sem_t	sem;
	s32			freq_ref;
} osc_fixed_t;



// prototypes *****************************************************************

void	osc_fixed_close(chan_data_t* chan);
void	osc_fixed_create(dev_data_t* dev);
void	osc_fixed_destroy(dev_data_t* dev);
int		osc_fixed_measure_ioctl(chan_data_t* chan, s32* arg);
void	osc_fixed_open(chan_data_t* chan);
int		osc_fixed_program_ioctl(chan_data_t* chan, s32* arg);
int		osc_fixed_reference_ioctl(chan_data_t* chan, s32* arg);



#endif
