// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/hdlc/utils/hdlc_set_util.c $
// $Rev: 43630 $
// $Date: 2018-10-15 15:07:52 -0500 (Mon, 15 Oct 2018) $

// SIO4: HDLC Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int hdlc_set_util(int fd, int index, int verbose, const sio4_hdlc_t* hdlc, const char** err)
{
	int			errs;
	const char*	psz;
	int			ret;

	if (err == NULL)
		err	= &psz;

	if (verbose)
		gsc_label_index("HDLC Set", index);

	ret		= sio4_hdlc_set(fd, hdlc, err);
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
		;
	else if (errs)
		printf("FAIL <---  (%s, ret = %d)\n", err[0], ret);
	else
		printf("PASS\n");

	return(errs);
}


