// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/hdlc/utils/hdlc_tx_break_util.c $
// $Rev: 48269 $
// $Date: 2020-10-12 13:25:52 -0500 (Mon, 12 Oct 2020) $

// SIO4: HDLC Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int hdlc_tx_break_util(int fd, int index, int verbose, s32 ms)
{
	int	errs;
	int	ret;

	if (verbose)
		gsc_label_index("HDLC Tx Break", index);

	ret		= sio4_hdlc_tx_break(fd, ms);
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
		;
	else if (errs)
		printf("FAIL <---  (%d ms, ret = %d)\n", (int) ms, ret);
	else
		printf("PASS  (%d ms)\n", (int) ms);

	return(errs);
}


