// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/hdlc/utils/hdlc_tx_flush_util.c $
// $Rev: 54268 $
// $Date: 2024-03-19 10:08:43 -0500 (Tue, 19 Mar 2024) $

// SIO4: HDLC Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int hdlc_tx_flush_util(int fd, int index, int verbose)
{
	int	errs;
	int	ret;

	if (verbose)
		gsc_label_index("HDLC Tx Flush", index);

	ret		= sio4_hdlc_tx_flush(fd);
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
		;
	else if (errs)
		printf("FAIL <---  (ret = %d)\n", ret);
	else
		printf(	"PASS\n");

	return(errs);
}


