// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/hdlc/utils/hdlc_tx_status_util.c $
// $Rev: 44469 $
// $Date: 2019-02-22 16:26:17 -0600 (Fri, 22 Feb 2019) $

// SIO4: HDLC Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int hdlc_tx_status_util(int fd, int index, int verbose, s32* status)
{
	int	errs;
	int	ret;
	s32	tmp		= 0;

	if (status == NULL)
		status	= &tmp;

	if (verbose)
		gsc_label_index("HDLC Tx Status", index);

	ret		= sio4_hdlc_tx_status(fd, status);
	errs	= (ret < 0) ? 1 : 0;

	if (verbose == 0)
	{
	}
	else if (errs == 0)
	{
		printf("PASS  (status 0x%lX)\n", (long) status[0]);
	}
	else
	{
		printf(	"FAIL <---  (ret = %d, status 0x%lX)\n",
				ret,
				(long) status[0]);
	}

	return(errs);
}


