// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/include/sio4_hdlc_utils.h $
// $Rev: 54277 $
// $Date: 2024-03-19 10:19:35 -0500 (Tue, 19 Mar 2024) $

// SIO4: HDLC Protocol Library: Utilities: header file

#ifndef	__SIO4_HDLC_UTILS_H__
#define	__SIO4_HDLC_UTILS_H__

#include "sio4_hdlc.h"
#include "gsc_utils.h"



// prototypes *****************************************************************

// HDLC Protocol Library utility services

int	hdlc_close_util		(int fd, int index, int verbose);
int	hdlc_get_util		(int fd, int index, int verbose, sio4_hdlc_t* hdlc, const char** err);
int	hdlc_init_data_util	(int fd, int index, int verbose, const sio4_hdlc_init_t* init, sio4_hdlc_t* hdlc, const char** err);
int	hdlc_init_util		(int verbose);
int	hdlc_ioctl_util		(int fd, int index, int verbose, int request, void* arg);
int	hdlc_open_util		(int device, int share, int index, int verbose, int* fd);
int	hdlc_rx_flush_util	(int fd, int index, int verbose);
int	hdlc_rx_frame_util	(int fd, int index, int verbose, sio4_hdlc_rx_frame_t* rx);
int	hdlc_set_util		(int fd, int index, int verbose, const sio4_hdlc_t* hdlc, const char** err);
int	hdlc_show_util		(int fd, int index, int verbose, const sio4_hdlc_t* hdlc, const char** err);
int	hdlc_tx_abort_util	(int fd, int index, int verbose);
int	hdlc_tx_break_util	(int fd, int index, int verbose, s32 ms);
int	hdlc_tx_flush_util	(int fd, int index, int verbose);
int	hdlc_tx_frame_util	(int fd, int index, int verbose, sio4_hdlc_tx_frame_t* tx);
int	hdlc_tx_wait_util	(int fd, int index, int verbose, s32* status);



#endif
