// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/include/sio4_isoc_utils.h $
// $Rev: 54277 $
// $Date: 2024-03-19 10:19:35 -0500 (Tue, 19 Mar 2024) $

// SIO4: Isochronous Protocol Library: Utilities: header file

#ifndef	__SIO4_ISOC_UTILS_H__
#define	__SIO4_ISOC_UTILS_H__

#include "sio4_isoc.h"
#include "gsc_utils.h"



// prototypes *****************************************************************

// Isochronous Protocol Library utility services

int	isoc_close_util		(int fd, int index, int verbose);
int	isoc_get_util		(int fd, int index, int verbose, sio4_isoc_t* isoc, const char** err);
int	isoc_init_data_util	(int fd, int index, int verbose, const sio4_isoc_init_t* init, sio4_isoc_t* isoc, const char** err);
int	isoc_init_util		(int verbose);
int	isoc_ioctl_util		(int fd, int index, int verbose, int request, void* arg);
int	isoc_open_util		(int device, int share, int index, int verbose, int* fd);
int	isoc_read_util		(int fd, int index, int verbose, void* dst, size_t bytes, size_t* got);
int	isoc_set_util		(int fd, int index, int verbose, const sio4_isoc_t* isoc, const char** err);
int	isoc_show_util		(int fd, int index, int verbose, const sio4_isoc_t* isoc, const char** err);
int	isoc_write_util		(int fd, int index, int verbose, const void* src, size_t bytes, size_t* sent);



#endif
