#!/bin/sh
# $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/lib/static_to_shared.sh $
# $Rev: 54329 $
# $Date: 2024-03-22 11:03:22 -0500 (Fri, 22 Mar 2024) $

# SIO4: Library Directory: convert .a files to songle .so



#******************************************************************************
echo ""
echo ==== Cleaning ========================================
echo ""

cd ..
./make_all clean
rm -f libsio4_main.so libsio4_multi.so



#******************************************************************************
echo ""
echo ==== Updating environment variables ==================
echo ""

export GSC_LIB_COMP_FLAGS="${GSC_LIB_COMP_FLAGS} -fPIC"
echo == GSC_LIB_COMP_FLAGS: ${GSC_LIB_COMP_FLAGS} =========================



#******************************************************************************
echo ""
echo ==== Rebuilding ======================================
echo ""

./make_all



#******************************************************************************
echo ""
echo ==== Build Shared Libraries ==========================
echo ""

cd lib
make shared

