// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/samples/services/file.h $
// $Rev: 43618 $
// $Date: 2018-10-15 14:35:10 -0500 (Mon, 15 Oct 2018) $

// SIO4: Sample Application: header file

#ifndef	__FILE_H__
#define	__FILE_H__

#include <stdio.h>
#include <string.h>



// prototypes *****************************************************************

FILE*	file_close(const char* name, FILE* file);
int		file_eof(const char* name, FILE* file, int* eof);
FILE*	file_open(const char* name);
int		file_seek(const char* name, FILE* file, long pos);
long	file_read(const char* name, FILE* file, char* buf, size_t size);
long	file_read_line(const char* name, FILE* file, char* buf, size_t size);
long	file_tell(const char* name, FILE* file);
int		file_test(const char* name);



#endif

