// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/sync/samples/gpio/cable.c $
// $Rev: 50028 $
// $Date: 2022-01-20 13:03:39 -0600 (Thu, 20 Jan 2022) $

// SIO4: SYNC Protocol Library: Sample Application: source file

#include "main.h"



//*****************************************************************************
int cable_test(const args_t* args, int* legacy)
{
	int			errs	= 0;
	sio4_sync_t	sync;

	gsc_label("Cable Configuration");
	legacy[0]		= 0;
	errs			+= sio4_sync_get(args->fd, &sync);
	sync.dce_enable	= 1;
	sync.dte_enable	= 1;
	errs			+= sio4_sync_set(args->fd, &sync);
	errs			+= sio4_sync_get(args->fd, &sync);

	if (errs)
	{
		printf("FAIL <---\n");
	}
	else if (sync.dce_enable)
	{
		printf("PASS  (DCE)\n");
	}
	else if (sync.dte_enable)
	{
		printf("PASS  (DTE)\n");
	}
	else
	{
		printf("PASS  (Legacy)\n");
		legacy[0]	= 1;
	}

	return(errs);
}


