// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/sync/utils/sync_rx_set.c $
// $Rev: 54266 $
// $Date: 2024-03-19 10:07:03 -0500 (Tue, 19 Mar 2024) $

// SIO4: SYNC Protocol Library: Utilities: source file

#include "main.h"



//*****************************************************************************
int sync_rx_set(int fd, int index, int verbose, const sio4_sync_rx_t* rx)
{
	int	errs;
	int	ret;

	if (verbose)
		gsc_label_index("SYNC Rx Set", index);

	ret		= sio4_sync_rx_set(fd, rx);
	errs	= ret ? 1 : 0;

	if (verbose == 0)
		;
	else if (errs)
		printf("FAIL <---\n");
	else
		printf("PASS\n");

	return(errs);
}


