// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/utils/util_count.c $
// $Rev: 52186 $
// $Date: 2022-12-13 12:29:07 -0600 (Tue, 13 Dec 2022) $

// SIO4: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	sio4_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely.
*
*		get		The results are reported here. This may be NULL.
*
*	Returned:
*
*		>= 0	The number of errors seen.
*
******************************************************************************/

int sio4_count_boards(int verbose, int* get)
{
	int	errs;

	errs	= os_count_boards(verbose, get, sio4_open, sio4_read, sio4_close);
	return(errs);
}



